# This script is similar to the pipeline in GitLab CI `.gitlab-ci.yml` file.

# Docs: Make sphinx docs.
echo "Make sphinx docs:"
sphinx-apidoc -f -o ./docs/source ./src/gvec_to_python
sphinx-build -b html ./docs/source ./public
# cd docs/
# make latex
# make latexpdf
# cd ..

# Build:
# echo "Run pyccel:"
# cd src/ && make flags_openmp_mhd= flags_openmp_pic=--openmp && cd ..
echo "Run python build:"
python -m build
ls -lah dist
echo "Install dist:"
pip install -U dist/gvec_to_python-*.whl # --force-reinstall

# Test: run pytest.
echo "Run pytest:"
coverage run -m pytest 
coverage xml 
coverage report --skip-empty 
coverage erase
python test/cleanup.py

# Deploy: run deploy.
echo "Run deploy:"
echo "Release pipeline not implemented."
