import os

def rm_rf(path):
    """Delete all files and folders."""

    for root, dirs, files in os.walk(path, topdown=False):
        for name in files:
            print('Deleting file  :', os.path.join(root, name))
            os.remove(os.path.join(root, name))
        for name in dirs:
            print('Deleting folder:', os.path.join(root, name))
            os.rmdir(os.path.join(root, name))

    try:
        print('Deleting root  :', path)
        os.rmdir(path)
    except Exception as e:
        print('Fail to delete :', path)
        print(repr(e))



if __name__ == "__main__":

    cwd = os.getcwd()
    path = os.path.dirname(os.path.realpath(__file__))

    print('File name :', __file__)
    print('File path :', os.path.realpath(__file__))
    print('Dir  path :', path)
    print('CWD  path :', cwd) # Can be whereever you start this script! Don't use it!

    rm_rf(os.path.join(path, 'GVEC'))
    rm_rf(os.path.join(path, 'logs'))
    rm_rf(os.path.join(path, 'htmlcov'))
    # TODO: Run `coverage erase` command.
